import React, { memo } from 'react';
import { View, StyleSheet } from 'react-native';
import { useCalendarContext } from '../CalendarContext';
import Header from './Header';
import YearSelector from './YearSelector';
import MonthSelector from './MonthSelector';
import DaySelector from './DaySelector';
import TimeSelector from './TimeSelector';
import { CALENDAR_HEIGHT } from '../enums';
const CalendarView = {
  year: /*#__PURE__*/React.createElement(YearSelector, null),
  month: /*#__PURE__*/React.createElement(MonthSelector, null),
  day: /*#__PURE__*/React.createElement(DaySelector, null),
  time: /*#__PURE__*/React.createElement(TimeSelector, null)
};
const Calendar = ({
  buttonPrevIcon,
  buttonNextIcon
}) => {
  const {
    calendarView
  } = useCalendarContext();
  return /*#__PURE__*/React.createElement(View, {
    style: styles.container,
    testID: "calendar"
  }, /*#__PURE__*/React.createElement(Header, {
    buttonPrevIcon: buttonPrevIcon,
    buttonNextIcon: buttonNextIcon
  }), /*#__PURE__*/React.createElement(View, {
    style: styles.calendarContainer
  }, CalendarView[calendarView]));
};
const styles = StyleSheet.create({
  container: {
    width: '100%'
  },
  calendarContainer: {
    height: CALENDAR_HEIGHT,
    alignItems: 'center'
  }
});
export default /*#__PURE__*/memo(Calendar);
//# sourceMappingURL=Calendar.js.map